Bug 832356 - (CVE-2012-2738) CVE-2012-2738 vte: DoS (long loop) via escape sequences with large repeat counts
CVE-2012-2738 vte: DoS (long loop) via escape sequences with large repeat counts
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120515,reported=2...
: Security
Depends On: 832357
Blocks: 823966
  Show dependency treegraph
 
Reported: 2012-06-15 04:52 EDT by Stefan Cornelius
Modified: 2016-04-07 07:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: vte 0.32.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 07:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-06-15 04:52:05 EDT
A denial of service flaw was found in the way VTE, a terminal emulator
widget, processed certain escape sequences with large repeat counts.
A remote attacker could provide a specially-crafted file, which once
opened in a terminal using the VTE terminal emulator could lead to
excessive CPU consumption.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=673871#5
[2] https://bugzilla.gnome.org/show_bug.cgi?id=676090 
[3] http://git.gnome.org/browse/vte/commit/?id=feeee4b5832b17641e505b7083e0d299fdae318e
[4] http://ftp.gnome.org/pub/GNOME/sources/vte/0.32/vte-0.32.2.news
[5] http://www.openwall.com/lists/oss-security/2012/05/22/6
Comment 1 Stefan Cornelius 2012-06-15 04:54:06 EDT
Created vte tracking bugs for this issue

Affects: fedora-all [bug 832357]
Comment 2 Stefan Cornelius 2012-06-16 03:04:18 EDT
A CVE identifier of CVE-2012-2738 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/06/15/11
Comment 4 Fedora Update System 2012-07-03 11:51:49 EDT
vte-0.28.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-03 11:53:41 EDT
vte-0.28.2-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.